CVE-2020-11762

Priority
Description
An issue was discovered in OpenEXR before 2.4.1. There is an out-of-bounds
read and write in DwaCompressor::uncompress in ImfDwaCompressor.cpp when
handling the UNKNOWN compression case.
Assigned-to
mdeslaur
Notes
mdeslaurneed to check if commits are the right ones
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (2.2.0-10ubuntu2.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (2.2.0-11.1ubuntu1.2)
Ubuntu 19.10 (Eoan Ermine):released (2.2.1-4.1ubuntu1.1)
Ubuntu 20.04 (Focal Fossa):released (2.3.0-6ubuntu0.1)
Patches:
Upstream:https://github.com/AcademySoftwareFoundation/openexr/commit/3eda5d70aba127bae9bd6bae9956fcf024b64031
Upstream:https://github.com/AcademySoftwareFoundation/openexr/commit/2ae5f8376b0a6c3e2bb100042f5de79503ba837a
More Information

Updated: 2020-04-27 14:14:32 UTC (commit ea8bdde3a892c44768269a44487136aceed4d8b1)